﻿using System;
using WebSocketSharp;
using WebSocketSharp.Server;
using System.Collections.Generic;
using System.Text;

namespace GazeWebSocketServer
{
    public class GazeCoordinateBehavior : WebSocketBehavior
    {
        private EyeTrackerClient eyeTrackerClient;

        public GazeCoordinateBehavior()
        {
            Console.WriteLine("Creating behavior...");
            eyeTrackerClient = new EyeTrackerClient();
            eyeTrackerClient.Start(this);
        }

        ~GazeCoordinateBehavior()
        {
            eyeTrackerClient.Stop();
        }

        //protected override void OnOpen()
        //{
        //    throw new NotImplementedException();
        //    //base.OnOpen();
        //}

        internal void Publish(GazeData gazeData)
        {
            Sessions.Broadcast(gazeData.ToString());
        }
    }
}
