﻿using System;
using WebSocketSharp;
using WebSocketSharp.Server;
using Tobii.Research;

namespace GazeWebSocketServer
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var wssv = new WebSocketServer("ws://localhost:8001");
            wssv.AddWebSocketService("/gaze", () => new GazeCoordinateBehavior());

            wssv.Start();
            Console.ReadKey(true);
            wssv.Stop();
        }
    }
}